import java.io.*;

public class ClassInit {
  public BufferedReader br;

  public ClassInit() {
    br = new BufferedReader(new InputStreamReader(System.in));
  }

  public final String readLine() {
    try { return br.readLine(); }
    catch (IOException ioe) { return null; }
  }

  public final void write(String line) {
    System.out.print(line);
  }
  
  public final void writeLine(String line) {
    System.out.println(line);
  }

  public final void run() {
    boolean data = false;
    int j;
    String classCode = "", className = "", classRoom = "", classSize = "";
    String minLessons = "", maxLessons = "", prefs = "";
    do {
      String line = readLine();
      if (line == null)
        break;
      if (line.startsWith("subClassCode: ")) {
        if (data) {
          write("    c = new Clazz(\"" + classCode + "\", " + classSize + ", " +
                minLessons + ", " + maxLessons + ");");
          if (className.length() > 0) write("c.setDescription(\"" + className + "\"); ");
          if (prefs.length() > 0) write("c.setPreferences(\"" + prefs + "\"); ");
          writeLine("list.add(c);");
          if (classRoom.length() > 0)
            writeLine("    c.classRoom = getComponent(\"Rooms\", \"" + classRoom + "\");");
          classCode = className = classSize = classRoom = minLessons = maxLessons = prefs = "";
        }
        data = true;
        classCode = line.substring(14);
      }
      if (line.startsWith("subClassName: "))
        className = line.substring(14);
      if (line.startsWith("numberOfStudents: "))
        classSize = line.substring(18);
      if (line.startsWith("preferences: "))
        prefs = line.substring(13);
      if (line.startsWith("subClassRoom: "))
        classRoom = line.substring(14);
      if (line.startsWith("LessonsPerDay: ")) {
        line = line.substring(15);
        j = line.indexOf('-');
        if (j > 0) {
          minLessons = line.substring(0, j);
          maxLessons = line.substring(j + 1);
        }
      }
    } while (true);
    if (data) {
      write("    c = new Clazz(\"" + classCode + "\", " + classSize + ", " +
            minLessons + ", " + maxLessons + ");");
      if (className.length() > 0) write("c.setDescription(\"" + className + "\"); ");
      if (prefs.length() > 0) write("c.setPreferences(\"" + prefs + "\"); ");
      writeLine("list.add(c);");
      if (classRoom.length() > 0)
        writeLine("    c.classRoom = getComponent(\"Rooms\", \"" + classRoom + "\");");
    }
  }

  public static void main(String args[]) {
    ClassInit ci = new ClassInit();
    ci.run();
  } // end of main(String[])


} // end of class ClassInit
