import java.io.*;

public class LessonInit {
  public BufferedReader br;

  public LessonInit() {
    br = new BufferedReader(new InputStreamReader(System.in));
  }

  public final String readLine() {
    try { return br.readLine(); }
    catch (IOException ioe) { return null; }
  }

  public final void write(String line) {
    System.out.print(line);
  }
  
  public final void writeLine(String line) {
    System.out.println(line);
  }

  public final void run() {
    boolean data = false;
    int j;
    String numOfLessons = "", numInRoom = "", minDoubles = "", maxDoubles = "";
    String teacher = "", subject = "", room = "", clazz = "", fixed = "", prefs = "";
    do {
      String line = readLine();
      if (line == null)
        break;
      while (line.startsWith("\t"))
        line = line.substring(1);
      if (line.startsWith("numberOfLessons: ")) {
        if (data) {
          writeLine("    l = new Lesson(\"" + subject + "/" + teacher + "/" + clazz +
                    "\", " + minDoubles + ", " + maxDoubles + ");");
          writeLine("    l.resources.add(new ResourceList(l, \"TimeSlots\", " + numOfLessons + ", " + numOfLessons +
                    ", slots));");
          writeLine("    l.resources.add(new ResourceList(l, \"Teacher\", 1, 1, getComponent(\"Teachers\", \"" +
                    teacher + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Subject\", 1, 1, getComponent(\"Subjects\", \"" +
                    subject + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Class\", 1, 1, getComponent(\"Classes\", \"" +
                    clazz + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Room\", 1, 1, rooms));");
          if (room.length() > 0) writeLine("    l.setRoomPreference(\"" + room + "\", " + numInRoom + ");");
          if (prefs.length() > 0) writeLine("    l.setPreferences(\"" + prefs + "\");");
          writeLine("    list.add(l);");
        }
        data = false;
        numOfLessons = line.substring(17);
      }
      if (line.startsWith("numberOfLessonsInRoom: "))
        numInRoom = line.substring(23);
      if (line.startsWith("NumberOfDoubles: ")) {
        line = line.substring(17);
        j = line.indexOf('-');
        if (j > 0) {
          minDoubles = line.substring(0, j);
          maxDoubles = line.substring(j + 1);
        }
      }


      if (line.startsWith("subClassCode: ")) {
        clazz = line.substring(14);
        if (data) {
          writeLine("    l = new Lesson(\"" + subject + "/" + teacher + "/" + clazz +
                    "\", " + minDoubles + ", " + maxDoubles + ");");
          writeLine("    l.resources.add(new ResourceList(l, \"TimeSlots\", " + numOfLessons + ", " + numOfLessons +
                    ", slots));");
          writeLine("    l.resources.add(new ResourceList(l, \"Teacher\", 1, 1, getComponent(\"Teachers\", \"" +
                    teacher + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Subject\", 1, 1, getComponent(\"Subjects\", \"" +
                    subject + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Class\", 1, 1, getComponent(\"Classes\", \"" +
                    clazz + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Room\", 1, 1, rooms));");
          if (room.length() > 0) writeLine("    l.setRoomPreference(\"" + room + "\", " + numInRoom + ");");
          if (prefs.length() > 0) writeLine("    l.setPreferences(\"" + prefs + "\");");
          writeLine("    list.add(l);");
        }
        data = true;
      }
      if (line.startsWith("teacherCode: "))
        teacher = line.substring(13);
      if (line.startsWith("subjectCode: "))
        subject = line.substring(13);
      if (line.startsWith("roomCode: "))
        room = line.substring(10);
      if (line.startsWith("fixedTimes: "))
        fixed = line.substring(12);
      if (line.startsWith("preferences: "))
        prefs = line.substring(13);
    } while (true);
    if (data) {
          writeLine("    l = new Lesson(\"" + subject + "/" + teacher + "/" + clazz +
                    "\", " + minDoubles + ", " + maxDoubles + ");");
          writeLine("    l.resources.add(new ResourceList(l, \"TimeSlots\", " + numOfLessons + ", " + numOfLessons +
                    ", slots));");
          writeLine("    l.resources.add(new ResourceList(l, \"Teacher\", 1, 1, getComponent(\"Teachers\", \"" +
                    teacher + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Subject\", 1, 1, getComponent(\"Subjects\", \"" +
                    subject + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Class\", 1, 1, getComponent(\"Classes\", \"" +
                    clazz + "\")));");
          writeLine("    l.resources.add(new ResourceList(l, \"Room\", 1, 1, rooms));");
          if (room.length() > 0) writeLine("    l.setRoomPreference(\"" + room + "\", " + numInRoom + ");");
          if (prefs.length() > 0) writeLine("    l.setPreferences(\"" + prefs + "\");");
          writeLine("    list.add(l);");
    }
  }

  public static void main(String args[]) {
    LessonInit li = new LessonInit();
    li.run();
  } // end of main(String[])


} // end of class ClassInit
