import java.io.*;

public class RoomInit {
  public BufferedReader br;

  public RoomInit() {
    br = new BufferedReader(new InputStreamReader(System.in));
  }

  public final String readLine() {
    try { return br.readLine(); }
    catch (IOException ioe) { return null; }
  }

  public final void write(String line) {
    System.out.print(line);
  }
  
  public final void writeLine(String line) {
    System.out.println(line);
  }

  public final void run() {
    boolean data = false;
    int j;
    String roomCode = "", roomName = "", roomCapacity = "", prefs = "";
    do {
      String line = readLine();
      if (line == null)
        break;
      if (line.startsWith("roomCode: ")) {
        if (data) {
          write("    r = new Room(\"" + roomCode + "\", " + roomCapacity + "); ");
          if (roomName.length() > 0) write("r.setDescription(\"" + roomName + "\"); ");
          if (prefs.length() > 0) write("r.setPreferences(\"" + prefs + "\"); ");
          writeLine("list.add(r);");
          roomCode = roomName = roomCapacity = prefs = "";
        }
        data = true;
        roomCode = line.substring(10);
      }
      if (line.startsWith("roomName: "))
        roomName = line.substring(10);
      if (line.startsWith("roomCapacity: "))
        roomCapacity = line.substring(14);
      if (line.startsWith("preferences: "))
        prefs = line.substring(13);
    } while (true);
    if (data) {
      write("    r = new Room(\"" + roomCode + "\", " + roomCapacity + "); ");
      if (roomName.length() > 0) write("r.setDescription(\"" + roomName + "\"); ");
      if (prefs.length() > 0) write("r.setPreferences(\"" + prefs + "\"); ");
      writeLine("list.add(r);");
    }
  }

  public static void main(String args[]) {
    RoomInit ri = new RoomInit();
    ri.run();
  } // end of main(String[])


} // end of class TeacherInit
