import java.io.*;

public class SubjectInit {
  public BufferedReader br;

  public SubjectInit() {
    br = new BufferedReader(new InputStreamReader(System.in));
  }

  public final String readLine() {
    try { return br.readLine(); }
    catch (IOException ioe) { return null; }
  }

  public final void write(String line) {
    System.out.print(line);
  }
  
  public final void writeLine(String line) {
    System.out.println(line);
  }

  public final void run() {
    boolean data = false;
    int j;
    String subjectCode = "", subjectName = "";
    String minLessons = "", maxLessons = "", prefs = "";
    do {
      String line = readLine();
      if (line == null)
        break;
      if (line.startsWith("subjectCode: ")) {
        if (data) {
          write("    s = new Subject(\"" + subjectCode + "\", " + minLessons + ", " + maxLessons + "); ");
          writeLine("s.setDescription(\"" + subjectName + "\"); list.add(s);");
          if (prefs.length() > 0) writeLine("    s.setPreferences(\"" + prefs + "\"); ");
        }
        data = true;
        subjectCode = line.substring(13);
      }
      if (line.startsWith("subjectName: "))
        subjectName = line.substring(13);
      if (line.startsWith("lessonsAfternoon: ")) {
        line = line.substring(18);
        j = line.indexOf('-');
        if (j > 0) {
          minLessons = line.substring(0, j);
          maxLessons = line.substring(j + 1);
        }
      }
      if (line.startsWith("preferences: "))
        prefs = line.substring(13);

    } while (true);
    if (data) {
      write("    s = new Subject(\"" + subjectCode + "\", " + minLessons + ", " + maxLessons + "); ");
      writeLine("s.setDescription(\"" + subjectName + "\");");
      if (prefs.length() > 0) writeLine("s.setPreferences(\"" + prefs + "\"); ");
      writeLine("    list.add(s);");
    }
  }

  public static void main(String args[]) {
    SubjectInit si = new SubjectInit();
    si.run();
  } // end of main(String[])


} // end of class ClassInit
