package examples.hospital;

import helperclasses.*;
import ttclasses.*;
import java.util.*;


/*****
 * All members of the working force of the hospital are instances of this class.
 *****/
public class Staff extends Resource {
  /**
   * This is the real name of the person, since the <tt>name</tt> field from <tt>PlanningClass</tt>
   * contains the ID.
   **/
  protected String realName;
  /** How many hours a week do we work? **/
  protected double workLoad;
  /** List of time intervals during which the person does not work. **/
  protected List absent;

  public Staff(String id) {
    name = id;
    absent = new ArrayList();
  }

  public Staff(String id, String name, double workLoad) {
    this.name = id;
    this.realName = name;
    this.workLoad = workLoad;
    absent = new ArrayList();
  }

  public void setVariable(String key, String value) {
    if (key.equals("workLoad"))
      workLoad = Double.parseDouble(value);
    else if (key.equals("absent")) {
      List list = GlobalMethods.listFromXMLString(value);
      for (int i = 0; i < list.size(); i++) {
        String period = (String)list.get(i);
        int index = period.indexOf('-');
        if (index > 0) {
          String from = period.substring(0, index);
          String until = period.substring(index + 1);
          absent.add(new TimeInterval(new Time(from), new Time(until)));
        }
      }
    }
    else
      super.setVariable(key, value);
  } // end of setVariable(String, String)

} // end of class Staff

