package examples.school;

import ttclasses.*;
import java.lang.reflect.*;
import java.util.*;

public class PreferenceConstraint extends SoftConstraint {

  public PreferenceConstraint() {
    name = "PreferenceConstraint";
  }

  public ConstraintViolation compute(PlanningClass owner) {
    int j, k, index, summand;
    Resource res = (Resource)owner;
    List l = res.getAssignments();
    String prefs;
    try {
      Field pref = owner.getClass().getField("preferences");
      prefs = (String)pref.get(owner);
    }
    catch (Exception e) {
      System.err.println("In PreferenceConstraint.compute: " + e.toString());
      return null;
    }
    double akku = 0;
    for (j = 0; j < l.size(); j++) {
      Event e = ((Assignment)l.get(j)).event;
      List list = e.getAssignedTimeSlots();
      for (k = list.size() - 1; k >= 0; k--) {
        TimeInterval ti = (TimeInterval)list.get(k);
        index = (ti.layoutY - 1) + (ti.layoutX - 1) * 11;
        summand = (int)(prefs.charAt(index) - '0');
        akku += summand;
      }
    }
    if (akku > 0)
      return new ConstraintViolation(this, owner, "PreferenceViolation at " + res.name, akku);
    return null;
  } // end of compute(PlanningClass)

  public boolean repair(ConstraintViolation violation) {
    return false;
  }

} // end of class ClashConstraint
