/**
 * Implementation of class "IntList".
 *
 * Author: Stefan Buettcher
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 **/

package helperclasses;

/*****
 * <tt>IntList</tt> is an extensible list able to store <tt>int</tt> elements.
 *****/
public class IntList {
  private static final int GRANULARITY = 8;

  private int size, officialSize;
  private int elements[];

  public IntList() {
    elements = new int[GRANULARITY];
    size = GRANULARITY;
    officialSize = 0;
  }

  public int size() {
    return officialSize;
  }

  public void clear() {
    officialSize = 0;
  }

  public void add(int elem) {
   if (officialSize >= size) {
     size += GRANULARITY;
     int newElements[] = new int[size];
     for (int i = 0; i < officialSize; i++)
       newElements[i] = elements[i];
     elements = newElements;
   }
   elements[officialSize++] = elem; 
  }

  public int get(int index) {
    return elements[index];
  }

  public int indexOf(int elem) {
    for (int i = 0; i < officialSize; i++)
      if (elements[i] == elem)
        return i;
    return -1;
  }

  public void removeElement(int elem) {
    removeElementAt(indexOf(elem));
  }

  public void removeElementAt(int index) {
    if ((index < 0) || (index >= officialSize))
      return;
    for (int i = index + 1; i < officialSize; i++)
      elements[i - 1] = elements[i];
    officialSize--;
  }

} // end of class IntList

