package tools;

import java.lang.reflect.*;
import java.net.*;
import java.util.*;
import java.security.*;

public class LoadClass {

  public static void main(String args[]) {
    String classToLoad = "tools.LoadableClass";
    ClassLoader cl = ClassLoader.getSystemClassLoader();
    try {
      Class clazz = cl.loadClass(classToLoad);
      System.out.println("Class loaded: " + clazz.getName());
      Constructor[] cons = clazz.getConstructors();
      for (int i = 0; i < cons.length; i++) {
        try {
          Object o = cons[i].newInstance(null);
          System.out.println("New instantiation: " + o.toString());
        } catch (Exception e) {
          System.out.println("Could not instantiate (maybe illegal access).");
        }
      }
    } catch (ClassNotFoundException cnfe) {
      System.out.println("Class not found.");
    }
  }

} // end of class LoadClass
