/*
 * FileChooser.java
 *
 * Created on July 28, 2002, 2:51 PM
 */

package tools.ttexplorer;

import javax.swing.*;
import java.awt.*;
import java.io.*;

public class FileChooser extends javax.swing.JDialog {

  public static final int OPEN = 1;
  public static final int SAVE = 2;
  private int mode;

  public TTExplorer parent;
  
  /** Creates new form FileChooser */
  public FileChooser(java.awt.Frame parent, boolean modal, int mode) {
    super(parent, modal);
    this.parent = (TTExplorer)parent;
    this.parent.fileSelection = null;
    this.mode = mode;
    initComponents();
    if (mode == OPEN) {
      setTitle("Datei ffnen");
      savePanel.setPreferredSize(new Dimension(10, 5));
      jFileChooser1.setDialogType(JFileChooser.OPEN_DIALOG);
      openButton.setText("ffnen");
    }
    if (mode == SAVE) {
      setTitle("Zeitplan speichern");
      savePanel.setPreferredSize(new Dimension(10, 32));
      jFileChooser1.setDialogType(JFileChooser.SAVE_DIALOG);
      openButton.setText("Speichern");
    }
    //Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    jFileChooser1.setApproveButtonText("");
  }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
  private void initComponents() {//GEN-BEGIN:initComponents
    savePanel = new javax.swing.JPanel();
    jLabel1 = new javax.swing.JLabel();
    individualButton = new javax.swing.JRadioButton();
    entireButton = new javax.swing.JRadioButton();
    jFileChooser1 = new javax.swing.JFileChooser();
    jPanel1 = new javax.swing.JPanel();
    jPanel2 = new javax.swing.JPanel();
    openButton = new javax.swing.JButton();
    cancelButton = new javax.swing.JButton();
    
    addWindowListener(new java.awt.event.WindowAdapter() {
      public void windowClosing(java.awt.event.WindowEvent evt) {
        closeDialog(evt);
      }
    });
    
    savePanel.setMinimumSize(new java.awt.Dimension(10, 32));
    savePanel.setPreferredSize(new java.awt.Dimension(10, 32));
    jLabel1.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel1.setText("Speichern:   ");
    savePanel.add(jLabel1);
    
    individualButton.setFont(new java.awt.Font("Dialog", 0, 12));
    individualButton.setSelected(true);
    individualButton.setText("Individuellen Zeitplan");
    individualButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        individualButtonActionPerformed(evt);
      }
    });
    
    savePanel.add(individualButton);
    
    entireButton.setFont(new java.awt.Font("Dialog", 0, 12));
    entireButton.setText("Gesamtzeitplan");
    entireButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        entireButtonActionPerformed(evt);
      }
    });
    
    savePanel.add(entireButton);
    
    getContentPane().add(savePanel, java.awt.BorderLayout.NORTH);
    
    jFileChooser1.setApproveButtonText("");
    jFileChooser1.setApproveButtonToolTipText("");
    jFileChooser1.setControlButtonsAreShown(false);
    jFileChooser1.setVerifyInputWhenFocusTarget(false);
    getContentPane().add(jFileChooser1, java.awt.BorderLayout.CENTER);
    
    jPanel2.setMinimumSize(new java.awt.Dimension(160, 10));
    jPanel2.setPreferredSize(new java.awt.Dimension(160, 10));
    jPanel1.add(jPanel2);
    
    openButton.setText("\u00d6ffnen");
    openButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        openButtonActionPerformed(evt);
      }
    });
    
    jPanel1.add(openButton);
    
    cancelButton.setText("Abbrechen");
    cancelButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(java.awt.event.ActionEvent evt) {
        cancelButtonActionPerformed(evt);
      }
    });
    
    jPanel1.add(cancelButton);
    
    getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);
    
    pack();
  }//GEN-END:initComponents

    private void openButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_openButtonActionPerformed
      parent.fileSelection = jFileChooser1.getSelectedFile().toString();
      closeDialog(null);
    }//GEN-LAST:event_openButtonActionPerformed

    private void cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelButtonActionPerformed
      closeDialog(null);
    }//GEN-LAST:event_cancelButtonActionPerformed

    private void entireButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_entireButtonActionPerformed
      individualButton.setSelected(!entireButton.isSelected());
    }//GEN-LAST:event_entireButtonActionPerformed

    private void individualButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_individualButtonActionPerformed
      entireButton.setSelected(!individualButton.isSelected());
    }//GEN-LAST:event_individualButtonActionPerformed
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
      setVisible(false);
      dispose();
    }//GEN-LAST:event_closeDialog
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
      new FileChooser(new javax.swing.JFrame(), true, OPEN).show();
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel savePanel;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JRadioButton individualButton;
    private javax.swing.JRadioButton entireButton;
    private javax.swing.JFileChooser jFileChooser1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JButton openButton;
    private javax.swing.JButton cancelButton;
    // End of variables declaration//GEN-END:variables
    
} // end of class FileChooser
