/**
 * Implementation of class "Assignment".
 *
 * Author: Stefan Buettcher
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 **/

package ttclasses;

/*****
 * The class <tt>Assignmen</tt> is used to keep the different views of all
 * resources involved in the planning process consistent: Every resource does not
 * only possess a list of events that it has been assigned to but a list of tuples
 * (Event, ResourceList) so that it knows exactly to which resource list is has
 * been assigned to.
 *****/
public final class Assignment {
  public Event event;
  public ResourceList resList;
  public String toStringCache;

  public Assignment(Event ev, ResourceList rl) {
    event = ev;
    resList = rl;
    toStringCache = "(" + event + ", " + resList + ")";
  }

  public String toString() {
    return toStringCache;
  }

} // end of class Assignment


